/*
 * @file OVR_Kernel.h
 * @brief References specific to the location of OVR kernel headers for 
 *        use in building the CtrlAltStudio Viewer
 * @author Cinder Roxley <cinder@sdf.org>
 *
 * Copying and distribution of this file, with or without modification,
 * are permitted in any medium without royalty provided the copyright
 * notice and this notice are preserved.  This file is offered as-is,
 * without any warranty.
 */

#ifndef OVR_KERNEL_H
#define OVR_KERNEL_H

// Kernel headers
#include "OVR/Kernel/OVR_Math.h"
#include "OVR/Kernel/OVR_Types.h"
#include "OVR/Kernel/OVR_Allocator.h"
#include "OVR/Kernel/OVR_RefCount.h"
#include "OVR/Kernel/OVR_Log.h"
#include "OVR/Kernel/OVR_Math.h"
#include "OVR/Kernel/OVR_System.h"
#include "OVR/Kernel/OVR_Nullptr.h"
#include "OVR/Kernel/OVR_String.h"
#include "OVR/Kernel/OVR_Array.h"
#include "OVR/Kernel/OVR_Timer.h"
#include "OVR/Kernel/OVR_SysFile.h"

#endif // OVR_KERNEL_H
